# Uses of Class
org.apache.lucene.search.TopFieldDocs

Packages that use TopFieldDocs
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.search
Code to search indices.

- ## Uses of TopFieldDocs in org.apache.lucene.document

  Methods in org.apache.lucene.document that return TopFieldDocs
  Modifier and Type
  Method
  Description
  `static TopFieldDocs`
  LatLonPoint.`nearest(IndexSearcher searcher, String field, double latitude, double longitude, int n)`
  Finds the `n` nearest indexed points to the provided point, according to Haversine distance.

- ## Uses of TopFieldDocs in org.apache.lucene.search

  Methods in org.apache.lucene.search that return TopFieldDocs
  Modifier and Type
  Method
  Description
  `static TopFieldDocs`
  TopDocs.`merge(Sort sort, int start, int topN, TopFieldDocs[] shardHits)`
  Same as `TopDocs.merge(Sort, int, TopFieldDocs[])` but also ignores the top `start` top docs.
  `static TopFieldDocs`
  TopDocs.`merge(Sort sort, int start, int topN, TopFieldDocs[] shardHits, Comparator<ScoreDoc> tieBreaker)`
  Pass in a custom tie breaker for ordering results
  `static TopFieldDocs`
  TopDocs.`merge(Sort sort, int topN, TopFieldDocs[] shardHits)`
  Returns a new TopFieldDocs, containing topN results across the provided TopFieldDocs, sorting by the specified `Sort`.
  `TopFieldDocs`
  TopFieldCollectorManager.`reduce(Collection<TopFieldCollector> collectors)`
  `TopFieldDocs`
  IndexSearcher.`search(Query query, int n, Sort sort)`
  Search implementation with arbitrary sorting.
  `TopFieldDocs`
  IndexSearcher.`search(Query query, int n, Sort sort, boolean doDocScores)`
  Search implementation with arbitrary sorting, plus control over whether hit scores and max score should be computed.
  `TopFieldDocs`
  IndexSearcher.`searchAfter(ScoreDoc after, Query query, int numHits, Sort sort, boolean doDocScores)`
  Finds the top `n` hits for `query` where all results are after a previous result (`after`), allowing control over whether hit scores and max score should be computed.
  `TopFieldDocs`
  TopFieldCollector.`topDocs()`
  Methods in org.apache.lucene.search with parameters of type TopFieldDocs
  Modifier and Type
  Method
  Description
  `static TopFieldDocs`
  TopDocs.`merge(Sort sort, int start, int topN, TopFieldDocs[] shardHits)`
  Same as `TopDocs.merge(Sort, int, TopFieldDocs[])` but also ignores the top `start` top docs.
  `static TopFieldDocs`
  TopDocs.`merge(Sort sort, int start, int topN, TopFieldDocs[] shardHits, Comparator<ScoreDoc> tieBreaker)`
  Pass in a custom tie breaker for ordering results
  `static TopFieldDocs`
  TopDocs.`merge(Sort sort, int topN, TopFieldDocs[] shardHits)`
  Returns a new TopFieldDocs, containing topN results across the provided TopFieldDocs, sorting by the specified `Sort`.